# Uses of Class
org.xnio.channels.SplitStreamSinkChannel

Packages that use SplitStreamSinkChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of SplitStreamSinkChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type SplitStreamSinkChannel
Modifier and Type
Method
Description
`ChannelListener<? super SplitStreamSinkChannel>`
SplitStreamSinkChannel.`getCloseListener()`
`ChannelListener.Setter<? extends SplitStreamSinkChannel>`
SplitStreamSinkChannel.`getCloseSetter()`
`ChannelListener<? super SplitStreamSinkChannel>`
SplitStreamSinkChannel.`getWriteListener()`
`ChannelListener.Setter<? extends SplitStreamSinkChannel>`
SplitStreamSinkChannel.`getWriteSetter()`
Method parameters in org.xnio.channels with type arguments of type SplitStreamSinkChannel
Modifier and Type
Method
Description
`void`
SplitStreamSinkChannel.`setCloseListener(ChannelListener<? super SplitStreamSinkChannel> closeListener)`
`void`
SplitStreamSinkChannel.`setWriteListener(ChannelListener<? super SplitStreamSinkChannel> writeListener)`